ווטסאפ - לינוקס, BSD, קוד פתוח ותוכנה חופשית בעברית. Whatsup - Linux, BSD, open source and free software in Hebrew

 
 
  כניסת חברים · רישום · שכחתי סיסמה  
tux the penguin
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
אורח · ·
 

הודעה פורסם: 11/06/2010 - 15:44
נושא ההודעה: חיבור לבזק בינלאומי דרך HOT ו L2TP

שלום,
אתמול החלפתי חבילה ל 5mb עם hot ובזק בינלאומי אבל הם אינם מוכנים לספק תמיכה טכנית בלינוקס(פעם ראשונה בגלל שיש בעיות 5mb ופעם שנייה כי אני משתמש ב Centos), כמובן שהנציג מכירות הבטיח שיש תמיכה בלינוקס ולא ציין שום הסתייגויות.
אני משתמש ב Centos 5.4, מודם רשת של מוטורולה, לפי בזק החיבור צריך להתבצע דרך L2TP.
אין לי אפשרות לעבור לחיוג ללא חייגן ואני לא מעוניין להשתמש בראוטר.
אודה לכם מאוד על כל מדריך/howto שתוכלו לזרוקץ
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 11/06/2010 - 16:01
נושא ההודעה:

תתקין את החבילה המתאימה... זה משהו עם NetworkManager.
אגב, CentOS היא לא משהו לשולחן עבודה, היא מתאימה יותר לשרתים.
שולחן עבודה רד-האט זה פדורה.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 11/06/2010 - 18:27
נושא ההודעה:

התקנתי את NetworkManager אבל שאני מפעיל אותו כלום לא קורא, זה כלי שדורש X?
אני משתמש במחשב הזה כשרת בייתי(בלי X) לא כשולחן עבודה.


ניסתי להשתמש במדריך הזה: http://stuff.pulkes.org/l2tp/
אבל הוא פשוט לא יותר חיבור בלי יותר מידי הסברים(לא מצאתי קובץ log או משהו דומה).
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 11/06/2010 - 18:37
נושא ההודעה:

Anonymous :
התקנתי את NetworkManager אבל שאני מפעיל אותו כלום לא קורא, זה כלי שדורש X?
אני משתמש במחשב הזה כשרת בייתי(בלי X) לא כשולחן עבודה.


ניסתי להשתמש במדריך הזה: http://stuff.pulkes.org/l2tp/
אבל הוא פשוט לא יותר חיבור בלי יותר מידי הסברים(לא מצאתי קובץ log או משהו דומה).

זה אכן כלי שדורש X. בפדורה 13 יש לו גם ממשק שורת פקודה אגב, אבל בcentos זה בטח עדיין לא הגיע...
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 14/06/2010 - 10:51
נושא ההודעה:

ישן אבל אולי יעזור:
http://www.tapuz.co.il/tapuzforum/main/viewMsg.asp?forum=236&msgid=99098426
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
dragonflyלא בפורום כעת ת.הצטרפות: 14/09/2002 · הודעות: 42 ·
 

הודעה פורסם: 15/06/2010 - 12:24
נושא ההודעה: ניסית לבקש חיבור ללא חייגן?

אפשרות אחרת היא להתקין את הסקריפט הבא.
http://welcome.hot.net.il/ISPpages/012/012linux.tar.gz
לא יודע כמה הוא עובד עד CentOS, אבל שווה בדיקה, סך הכל מדובר בסקריפט מאוד בסיסי.
אתה צריך לברר את כתובת שרת l2tp של בזקבילאומי+שרתי dns.
אפשרות אחרונה היא כמובן לרכוש ראוטר שמבצע את החיוג עבורך ואז כל בעיותך יעלמו (או לפחות בעיות ההתחברות הראשונית:)
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
לא פותח הדיוןאורח · ·
 

הודעה פורסם: 25/06/2010 - 17:48
נושא ההודעה:

בתור מישהו שמשתמש בסקריפט הזה מספר שבועות, יש לי איתו בעיות.
אחרי כמעת חודש שהמחשב עבד רצוף, הroute התמלא בהמון הפניות כפולות\שגויות והייתי צריך לשבת ולנקות אותו.

יש מדריך\מקום להתחיל ממנו להגדרת צורת חיבור אחרת ? רצוי דמון כדי שלא יהיה צורך להפעיל סקריפט מחדש אם האינטרנט מתנתק להרבה זמן (כמו נגיד מנפילה של המודם).
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 27/06/2010 - 02:38
נושא ההודעה:

ציטוט:
אורח‏ פורסם: 11/06/2010 - 15:44
שלום,
אתמול החלפתי חבילה ל 5mb עם hot ובזק בינלאומי אבל הם אינם מוכנים לספק תמיכה טכנית בלינוקס(פעם ראשונה בגלל שיש בעיות 5mb ופעם שנייה כי אני משתמש ב Centos), כמובן שהנציג מכירות הבטיח שיש תמיכה בלינוקס ולא ציין שום הסתייגויות.
אני משתמש ב Centos 5.4, מודם רשת של מוטורולה, לפי בזק החיבור צריך להתבצע דרך L2TP.
אין לי אפשרות לעבור לחיוג ללא חייגן ואני לא מעוניין להשתמש בראוטר.
אודה לכם מאוד על כל מדריך/howto שתוכלו לזרוקץ

אולי זה יעזור

ftp://ftp.bezeqint.net/linux/l2tp/
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
האורח השניאורח · ·
 

הודעה פורסם: 27/06/2010 - 09:06
נושא ההודעה:

סליחה אם אני מדבר שטויות אבל אני חושב שצריך חייגן VPN על מנת להתחבר l2tp

http://pptpclient.sourceforge.net/
או
http://www.cables.org.il/IK/
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
nivw2לא בפורום כעת ת.הצטרפות: 30/03/2009 · הודעות: 26 ·
 

הודעה פורסם: 20/12/2011 - 20:56
נושא ההודעה:

היתרונות לשימוש בקוד הבא:
1. שימוש בl2tp מקנה: א. יעילות חיבור יותר גבוהה בהשוואה לPPTP (פחות overhead)
ב. לא מקטין את הmtu (חשוב למשל לצורך חיבור xbox live)
2. שאיפה לאוטומציה מלאה כך שהחיבור יתבצע אוטומטית, וגם אם חל שינוי כתובת מהוט, החיבור יאותחל שוב.

דרישות קדם:
1. ודאו שהחבילות הבאות מותקנות dnsmasq, xl2tpd
2. אם זה אובונטו ,כבו את network manager:
ציטוט:
/etc/init.d/network-manager


קוד:
#!/bin/sh
PATH=/bin:/usr/bin:/sbin:/usr/sbin
L2TPGW=hot.bezeqint.net
INTERFACE=eth0

log() {
    if [ $verbose ]; then
      echo "`date +'%F %T'`: $1"
    fi
}

fixroute() {
   # following lines have been written by Ehud Meiri
   # and avail at http://stuff.pulkes.org/l2tp/
  SEDEXPR='^0\.0\.0\.0 \+\(\(172\|84\)\.[0-9]\+\.[0-9]\+\.[0-9]\+\).*'
  GW=`/sbin/route -n | sed -ne "s/$SEDEXPR$INTERFACE"'.*$/\1/p'`
  if [ "$GW" != "" ] ;then
    log "fixroute: Found local gateway: $GW"
    timeout=5
    for count in `seq $timeout` ; do
      LNS=`host $L2TPGW $dns_server|sed -n 's/.*address\s\(.*\)/\1/p;2q'`
      [ -z $LNS  ] || break
      if [ -f /etc/init.d/dnsmasq ] ; then
        grep -q nameserver /var/run/resolvconf/interface/$INTERFACE
        if [ $? -ne 0 ] ; then
          dhclient -r $INTERFACE
          dhclient -e IF_METRIC=400 $INTERFACE
        fi
        /etc/init.d/dnsmasq force-reload
      fi
    sleep 2s
    done
    #overwrite l2tp server
    #LNS='212.25.127.10'
    [ -z $LNS ] && exit 1
    log "fixroute: Found L2TP gateway: $LNS"
    route add $LNS gw $GW
    sed -i -e "s/^lns =.*/lns = $LNS/" /etc/xl2tpd/xl2tpd.conf
    /etc/init.d/xl2tpd force-reload
    route del default gw $GW
    route add default gw $GW metric 300
  fi
}

start() {
  pgrep -f /usr/sbin/xl2tpd || /etc/init.d/xl2tpd start
  log 'is xl2tpd up,yet?'
  retry=5
  for count in `seq $retry` ; do
    [ -e /var/run/xl2tpd/l2tp-control ] && break
    log "retry is now $count"
    sleep 2s
  done
  [ ! -e /var/run/xl2tpd/l2tp-control ] && log 'fail to start xl2tpd' &&exit 1
  echo 'c cable' > /var/run/xl2tpd/l2tp-control
  log 'is l2tp established?'
  retry=5
  for count in `seq $retry` ; do
    grep -q ppp /proc/net/dev
    [ $? -eq 0 ] &&ppp_gw=$(ip ro |grep ppp0 |sed -ne 's/^\(\([0-9]\{1,3\}\.\)\{3\}[0-9]\{1,3\}\).*$/\1/p')
    [ "$ppp_gw" != "" ] && break
    log "retry is now $count"
    sleep 8s
  done
  [ "$ppp_gw" = "" ] && log 'fail to connect to l2tp server, got timeout' && exit 1
}

stop() {
  echo 'd cable' > /var/run/xl2tpd/l2tp-control
  /etc/init.d/xl2tpd stop
}
 
case "$1" in
  start)
    log "starting ${0##*/}"
    #as Network manager is turned off, make sure INTERFACE is connected
    ip addr show $INTERFACE |egrep '^[[:space:]]*inet ' || dhclient -e IF_METRIC=400 $INTERFACE
    fixroute
    start
   sleep 2s
   ip ro add default via ${ppp_gw} metric 200
   pgrep dnsmasq&& /etc/init.d/dnsmasq force-reload
   ;;
  stop)
    log "stopping ${0##*/}"
   stop
  ;;
  reconnect|restart)
   $0 stop
   sleep 4s
   $0 start
  ;;
  status)
   if [ -f /var/run/xl2tpd/l2tp-control ] ; then
     echo 'active'
   else
     echo 'not active'
   fi
   ;;
  *)
   echo "Usage: $0 {start|stop|reconnect|restart|status}" >&2
   exit 1
  ;;
esac

exit 0

# vim:set ai sts=2 sw=2 tw=0:


אגב הנה דרך פשוטה לשימוש במחשב כנתב:

קוד:
#!/bin/bash
LOG=/tmp/${0##*/}.log
#export WAN=eth1
export LAN=wlan0

log() {
    if [ $verbose ]; then
      echo "`date +'%F %T'`: $1"
    fi
}

routing() {
  prim_def_rt=$(ip ro |egrep '^(default|0.0.0.0).*$' |head -n 1 )
  log "assuming the default route is: $prim_def_rt"
  if [[ $prim_def_rt = *dev* ]] ; then
    WAN=$(echo $prim_def_rt| awk '{print $5}')
    [ -z $WAN ] && exit 1
  fi
}
case "$1" in
start)
#  wait_for_openvpn
  routing
  iptables -F
  iptables -I INPUT 1 -i ${LAN} -j ACCEPT
  iptables -I INPUT 1 -i lo -j ACCEPT

  #iptables -I FORWARD -i ${LAN} -d 192.168.3.0/255.255.0.0 -j DROP
  iptables -A FORWARD -i ${LAN} -s 192.168.3.0/255.255.0.0 -j ACCEPT
  iptables -A FORWARD -i ${WAN} -d 192.168.3.0/255.255.0.0 -j ACCEPT
  iptables -t nat -A POSTROUTING -o ${WAN} -j MASQUERADE
  echo 1 > /proc/sys/net/ipv4/ip_forward
  for f in /proc/sys/net/ipv4/conf/*/rp_filter ; do echo 1 > $f ; done
  sleep 2s
  pgrep dnsmasq &>/dev/null
  if [ $? -eq 0 ] ; then
    service dnsmasq force-reload
  else
    service dnsmasq start
  fi
;;

stop)
  iptables -F
;;
status)
  iptables -L|grep -q '192.168.0.0/16'
  if [ $? -eq 0 ] ; then
    echo "${0##*/} is on"
    exit 0
  else
    echo "${0##*/} is off"
    exit 1
  fi
;;
esac


niv vaizer
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
דוביקסSite Moderator ת.הצטרפות: 20/12/2002 · הודעות: 8356 ·
 

הודעה פורסם: 23/12/2011 - 13:18
נושא ההודעה:

כמו שכבר נכתב בדיון http://whatsup.org.il/forum/40594 הפתרון המומלץ הוא נתב חיצוני (החל מ-40 ש"ח) שעושה את העבודה בלי כאבי ראש.

מעבר לזה, אפשר לבקש מבזב"ל להעביר אותך לחיבור בלי חייגן - תוך הסבר שאינך מצליח להתחבר מלינוקס עם חייגן ושאם לא יעבירו לחייגן תאלץ להתנתק מהם. אפשר גם להתקשר שוב - אם תיפול על נציג מתאים תקבל חיבור בלי חייגן.

_________________
גוגל+
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
nivw2לא בפורום כעת ת.הצטרפות: 30/03/2009 · הודעות: 26 ·
 

הודעה פורסם: 23/12/2011 - 17:38
נושא ההודעה:

דוביקס :
כמו שכבר נכתב בדיון http://whatsup.org.il/forum/40594 הפתרון המומלץ הוא נתב חיצוני (החל מ-40 ש"ח) שעושה את העבודה בלי כאבי ראש.

מעבר לזה, אפשר לבקש מבזב"ל להעביר אותך לחיבור בלי חייגן - תוך הסבר שאינך מצליח להתחבר מלינוקס עם חייגן ושאם לא יעבירו לחייגן תאלץ להתנתק מהם. אפשר גם להתקשר שוב - אם תיפול על נציג מתאים תקבל חיבור בלי חייגן.


1. לנתב חיצוני יש כמה חסרונות:
# מגביל מהירות ומספר חיבורים בו זמני. הרי גם הנתב הוא מחשב, אבל לנתב יש מעבד יותר חלש והרבה פחות זכרון. בנתבים חדישים ויקרים אין בעיות.
# שימוש בנתב דורש פתיחת "פורטים"
# עוד רכיב שיכול להתקלקל ואז אי אפשר לגלוש.

2. לחיבור ללא חייגן יש גם חיסרון: אתם מוגבלים במהירות גלישה. לדוגמה התקינו את pktstat ומידדו את המהירות האמיתית שלכם מול אתרים בחו"ל לשרותים שהם לא http, אני קיבלתי פחות מעשירית מהמהירות שהבטיחו לי.

הפתרון של החייגן שהצאתי, קצת יותר "קשה" ליישם, כי צריך לדעת להתקין את החייגן , אבל נותן הרבה יותר ביצועים ואפשרויות.
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
דוביקסSite Moderator ת.הצטרפות: 20/12/2002 · הודעות: 8356 ·
 

הודעה פורסם: 23/12/2011 - 22:11
נושא ההודעה:

תודה על המידע, למי שזה רלוונטי.

>> דביק

_________________
גוגל+
 
 צפיה בפרופיל המשתמש שלח הודעה פרטית  
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הצגת הודעות מלפני:     
מעבר אל:  
כל הזמנים הם GMT + 2 שעות
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
PNphpBB2 © 2003-2004 

תוכן הדיון

  1. אורח
  2. אורח
  3. אורח
  4. אורח
  5. אורח
  6. dragonfly
  7. אורח [לא פותח הדיון]
  8. אורח
  9. אורח [האורח השני]
  10. nivw2
  11. דוביקס
  12. nivw2
  13. דוביקס